<?php
/**
 * Simple Giveaways Helpers class
 */
namespace Simple_Giveaways;

/**
 * Class Helpers
 *
 * @package Simple_Giveaways
 */
class Helpers {

	/**
	 * Clean variables using sanitize_text_field. Arrays are cleaned recursively.
	 * Non-scalar values are ignored.
	 *
	 * Copied from WooCommerce.
	 *
	 * @param string|array $var Data to sanitize.
	 * @return string|array
	 */
	public static function clean( $var ) {
		if ( is_array( $var ) ) {
			return array_map( '\Simple_Giveaways\Helpers::clean', $var );
		} else {
			return is_scalar( $var ) ? sanitize_text_field( $var ) : $var;
		}
	}

	/**
	 * Clean variables using sanitize_text_field. Arrays are cleaned recursively.
	 * Non-scalar values are ignored.
	 *
	 * Copied from WooCommerce.
	 *
	 * @param string|array $var Data to sanitize.
	 * @return string|array
	 */
	public static function unslash_and_clean( $var ) {
		$var = wp_unslash( $var );
		return self::clean( $var );
	}
}